package _VisualDVM.TestingSystem.SAPFOR.SapforSettingsCommand.UI;
import Common.Visual.UI;
import Common.Visual.Windows.Dialog.DBObjectDialog;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettings.SapforSettings;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettingsCommand.SapforSettingsCommand;
public class SapforSettingsCommandDialog extends DBObjectDialog<SapforSettingsCommand, SapforSettingsCommandFields> {
    public SapforSettingsCommandDialog() {
        super(SapforSettingsCommandFields.class);
    }
    @Override
    public int getDefaultHeight() {
        return 250;
    }
    @Override
    public void fillFields() {
        UI.TrySelect(fields.cbPassCode, Result.passCode);
    }
    @Override
    public void ProcessResult() {
        Result.passCode = (PassCode) fields.cbPassCode.getSelectedItem();
        Result.sapforsettings_id = Global.testingServer.db.getTable(SapforSettings.class).getUI().getCurrent().id;
    }
}
